%define version	1.3.10
%define release	1mdk

%define pkgname gnomemm
%define api_version 1.3
%define lib_major 10
%define lib_name %mklibname %pkgname %api_version

%define req_gtkmm_version 2.0.0
%define req_libgnome_version 1.108.0

Summary: 	A C++ wrapper for libgnome
Name: 		lib%{pkgname}%{api_version}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

# tar.gz downloadable at ftp://download.sourceforge.net/gtkmm/
Source: 	lib%{pkgname}-%{version}.tar.bz2

BuildRequires:	libgtkmm2.0-devel >= %{req_gtkmm_version}
BuildRequires:	libgnome2-devel >= %{req_libgnome_version}
Buildrequires:	doxygen

%description
The %{name} library provides a C++ wrapper for libgnome library,
for use with gtkmm2 (previously known as gtk--). It is a subpackage
of the gnomemm project.


%package -n %{lib_name}_%{lib_major}
Summary:	A C++ wrapper for libgnome
Group:		System/Libraries
Provides:	%{lib_name} = %{version}-%{release}

%description -n %{lib_name}_%{lib_major}
The %{name} library provides a C++ wrapper for libgnome library,
for use with gtkmm2 (previously known as gtk--). It is a subpackage
of the gnomemm project.


%package -n %{lib_name}_%{lib_major}-devel
Summary:	Development files for libgnome C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%{lib_name}-devel = %{version}-%{release}
Requires:	%{lib_name}_%{lib_major} = %{version}-%{release}
Requires:	libgtkmm2.0-devel >= %{req_gtkmm_version}
Requires:	libgnome2-devel >= %{req_libgnome_version}

%description -n %{lib_name}_%{lib_major}-devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use %{name},
the C++ interface to libgnome.

It is necessary when compiling applications which use %{name} as well.

%prep
%setup -q -n lib%{pkgname}-%{version}

%build
%configure2_5x --enable-static
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%post -n %{lib_name}_%{lib_major} -p /sbin/ldconfig
%postun -n %{lib_name}_%{lib_major} -p /sbin/ldconfig

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}


%files -n %{lib_name}_%{lib_major}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*

%files -n %{lib_name}_%{lib_major}-devel
%defattr(-, root, root)
%doc docs/reference/html COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig
%{_libdir}/lib%{pkgname}-2.0

###########################################################################
%changelog
* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.3.10-1mdk
- 1.3.10

* Tue Jul  9 2002 Abel Cheung <maddog@linux.org.hk> 1.3.5-1mdk
- 1.3.5 (GNOME 2)
- First Mandrake spec, based on original spec inside source

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
